python () {
       if not d.getVar("BS_IMAGE_FSTYPES"):
       	  raise bb.parse.SkipPackage("no BS_IMAGE_FSTYPES defined")
}

inherit image

# This really means "don't install any static entries in /dev".
USE_DEVFS = "1"

IMAGE_LINGUAS = ""
IMAGE_FEATURES = ""
LICENSE = "CLOSED"

IMAGE_FSTYPES = "${BS_IMAGE_FSTYPES}"
IMAGE_DEPENDS_squashfs-signed = "${IMAGE_DEPENDS_squashfs}"

# We don't want ROOTFS_BOOTSTRAP_INSTALL
PACKAGE_INSTALL = "${IMAGE_INSTALL} ${FEATURE_INSTALL}"

# The feature will install itself in whatever directory we ultimately
# expect it to appear as. Since we'll be mounting the UBI under part
# of that path we need to move everything up before it goes into the
# image. We also need to remove other random gubbins that we can't
# stop rootfs.py putting in the filesystem. The only file we let
# through is /etc/version just in case it's useful.
migrate_feature_to_root() {
    set -x
    rm -rf ${IMAGE_ROOTFS}/lib/modules ${IMAGE_ROOTFS}/var/lib/opkg ${IMAGE_ROOTFS}/var/cache/opkg
    rmdir ${IMAGE_ROOTFS}/var/lib ${IMAGE_ROOTFS}/var/cache ${IMAGE_ROOTFS}/var ${IMAGE_ROOTFS}/run
    
    find ${IMAGE_ROOTFS} -type f | sort > ${WORKDIR}/entire-contents.txt
    find ${IMAGE_ROOTFS}${FEATURE_PREFIX} ${IMAGE_ROOTFS}/etc/version ${IMAGE_ROOTFS}/etc/timestamp -type f | sort > ${WORKDIR}/prefixed-contents.txt
    if ! cmp ${WORKDIR}/entire-contents.txt ${WORKDIR}/prefixed-contents.txt; then
        echo "Feature file system image contains unexpected files outside prefix"
        diff ${WORKDIR}/entire-contents.txt ${WORKDIR}/prefixed-contents.txt
        exit 1
    fi
    
    # Now move everything up to the root
    mv ${IMAGE_ROOTFS}${FEATURE_PREFIX}/* ${IMAGE_ROOTFS}
    
    # And remove the directories we left behind. This isn't really
    # generic but it should be sufficient for now.
    rmdir ${IMAGE_ROOTFS}${FEATURE_PREFIX}
    [ ! -e ${IMAGE_ROOTFS}/lib ] || rmdir ${IMAGE_ROOTFS}/lib
    find ${IMAGE_ROOTFS}
}

# We only want the package we desire - no dependencies please
OPKG_ARGS += " --nodeps"

# We need to do this just before generating the image so that
# rootfs.py has finishe doing all is package-manager furtling etc.
IMAGE_PREPROCESS_COMMAND += "migrate_feature_to_root; "

SIGN_SQUASHFS = "${BRIGHTSIGN_LAYERDIR}/recipes-bs/images/files/sign-squashfs.py"

IMAGE_CMD_squashfs-signed() {
	${IMAGE_CMD_squashfs}
	${SIGN_SQUASHFS} ${BS_ROOTFS_PRIVATE_KEY} ${IMGDEPLOYDIR}/${IMAGE_NAME}.rootfs.squashfs
}

addtask rootfs before do_populate_staging after do_install
