# brightsign-nexus-image
#
# Image configuration for BrightSign based on Nexus
#

PR = "r3"
PACKAGE_ARCH = "${MACHINE_ARCH_DEBUG}"
BB_DONT_CACHE = "1"

# This really means "don't install any static entries in /dev".
USE_DEVFS = "1"

DEBUG_PACKAGES = "strace gdbserver alsa-utils-aplay alsa-utils-speakertest smartmontools dbus-c++-bin dbus-eavesdropping-enable net-tools-mii-tool iperf crash-kernel"
WIFI_DRIVER_PACKAGE = "bcm4323-driver"
WIFI_TOOLS_PACKAGE = "bcm4323-tools"
WIFI_PACKAGES = "wpa-supplicant ${WIFI_TOOLS_PACKAGE} ${WIFI_DRIVER_PACKAGE}"

LTTNG_MODULES_PACKAGE = "lttng-modules"
# CONFIG_TRACEPOINTS isn't enabled on MIPS - BS#18462
LTTNG_MODULES_PACKAGE_bobcat = ""
LTTNG_MODULES_PACKAGE_lynx = ""

RTL_FIRMWARE_PACKAGE = ""
RTL_FIRMWARE_PACKAGE_pantera = "rtl-firmware"
RTL_FIRMWARE_PACKAGE_impala = "rtl-firmware"
INTEL_FIRMWARE_PACKAGE = ""
INTEL_FIRMWARE_PACKAGE_pantera = "iwlwifi-firmware"
INTEL_FIRMWARE_PACKAGE_impala = "iwlwifi-firmware"
MARVELL_FIRMWARE_PACKAGE=""
MARVELL_FIRMWARE_PACKAGE_pantera="mrvl-firmware"
MARVELL_FIRMWARE_PACKAGE_impala="mrvl-firmware"

DEBUG_PACKAGES_append_arm = " oprofile"

WIFI_PACKAGES_bcm97445 = ""

IMAGE_INSTALL = "base-files \
	         base-passwd \
		 bridge-utils \
		 busybox \
		 ca-certificates \
		 brightsign-apps \
		 brightsign-apps-check-for-update \
		 brightsign-apps-factory-reset \
                 brightsign-apps-has-feature \
		 brightsign-apps-mount-ecryptfs \
		 brightsign-apps-storage \
		 mtd-utils \
		 mtd-utils-ubifs \
		 brightsign-startup \
		 brightsign-startup-automount \
		 brightsign-startup-factory-reset \
                 brightsign-remote-login \
                 brightsign-version \
		 avahi-daemon \
		 util-linux-blkid \
		 dhcpcd \
		 lldpd \
		 dosfstools \
		 kernel-modules \
		 iproute2 \
                 iproute2-tc \
		 linuxptp \
		 tcpdump \
		 e2fsprogs-e2fsck e2fsprogs-mke2fs e2fsprogs-badblocks \
		 ${@base_conditional('BS_DEBUG', '1', '${DEBUG_PACKAGES}', '', d)} \
		 ${WIFI_PACKAGES} \
		 ${RTL_FIRMWARE_PACKAGE} \
		 ${INTEL_FIRMWARE_PACKAGE} \
		 ${MARVELL_FIRMWARE_PACKAGE} \
		 memtester \
		 net-snmp-server net-snmp-base-mibs \
		 flashbench \
		 dfu-programmer \
		 elo-binary-driver \
		 fontconfig-utils \
                 ${IMAGE_INSTALL_DVB_FIRMWARE} \
                 ${IMAGE_INSTALL_FONTS} \
         gstreamer1.0-plugins-base-app \
         gstreamer1.0-plugins-base-tcp \
         gstreamer1.0-plugins-base-playback \
         gstreamer1.0-plugins-base-typefindfunctions \
         gstreamer1.0-plugins-base-ogg \
         gstreamer1.0-plugins-good-rtp \
         gstreamer1.0-plugins-good-rtpmanager \
         gstreamer1.0-plugins-good-rtsp \
         gstreamer1.0-plugins-good-udp \
         gstreamer1.0-plugins-good-audioparsers \
         gstreamer1.0-plugins-good-curlhttpsrc \
         gstreamer1.0-plugins-good-soup \
         gstreamer1.0-plugins-good-isomp4 \
         gstreamer1.0-plugins-good-id3demux \
         gstreamer1.0-plugins-good-icydemux \
         gstreamer1.0-plugins-good-matroska \
         gstreamer1.0-plugins-good-avi \
         gstreamer1.0-plugins-bad-mpegtsmux \
         gstreamer1.0-plugins-bad-mpegpsdemux \
         gstreamer1.0-plugins-bad-videoparsersbad \
         gstreamer1.0-plugins-bad-hls \
         gstreamer1.0-plugins-bad-dashdemux \
         gstreamer1.0-plugins-bad-sdpelem \
		 ${LTTNG_MODULES_PACKAGE} \
		 babeltrace \
		 "

IMAGE_INSTALL_DVB_FIRMWARE = ""
IMAGE_INSTALL_DVB_FIRMWARE_cheetah = "dvb-xc5200-firmware"

IMAGE_INSTALL_FONTS = "dejavu-fonts-ttf unifont"
# Not enough space for unifont on jaguar
IMAGE_INSTALL_FONTS_bobcat = "dejavu-fonts-ttf"
IMAGE_INSTALL_FONTS_panther = "dejavu-fonts-ttf-subset"
IMAGE_INSTALL_FONTS_puma = "dejavu-fonts-ttf-subset"

IMAGE_INSTALL_append_puma = " \
                 brightsign-dora-fpga \
"

IMAGE_INSTALL_append_bobcat = " \
                 brightsign-swiper-fpga \
"

IMAGE_INSTALL_append_pantera = " \
                 brightsign-tetsuo-fpga \
"

IMAGE_INSTALL_append_lynx = "\
		 nodejs \
"

IMAGE_INSTALL_append_arm = "\
		 bluez5 \
		 nodejs \
		 openjdk-7-jre \
		 wireless-tools \
		 panda-updater \
"

IMAGE_LINGUAS = ""

IMAGE_INSTALL += "curl"

DEPENDS = "virtual/kernel"

LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://${COREBASE}/LICENSE;md5=4d92cd373abda3937c2bc47fbc49d690 \
                    file://${COREBASE}/meta/COPYING.MIT;md5=3da9cfbcb788c80a0384361b4de20420"

IMAGE_FSTYPES = "${BS_IMAGE_FSTYPES}"

python () {
	if not d.getVar("BS_IMAGE_FSTYPES"):
	   raise bb.parse.SkipPackage("no BS_IMAGE_FSTYPES defined")
}

IMAGE_DEPENDS_squashfs-signed = "${IMAGE_DEPENDS_squashfs}"

# By default we use gzip because it is relatively fast but still small
SQUASHFS_COMPRESSION_ALGORITHM = "gzip"

# Bobcat is too big to fit with gzip though so we have to use LZMA for
# the time being.
SQUASHFS_COMPRESSION_ALGORITHM_bobcat = "xz"

IMAGE_CMD_squashfs-signed() {
	${IMAGE_CMD_squashfs} -comp ${SQUASHFS_COMPRESSION_ALGORITHM}
	${FILE_DIRNAME}/files/sign-squashfs.py ${BS_ROOTFS_PRIVATE_KEY} ${IMGDEPLOYDIR}/${IMAGE_NAME}.rootfs.squashfs
}

inherit image
inherit image_filelist

BS_MAYBE_DBG_PKGS ??= "dbg-pkgs"
EXTRA_IMAGE_FEATURES += "${BS_MAYBE_DBG_PKGS}"

remove_glib_debug() {
	# libglib-2.0-dbg installs these but they don't get removed along with the
	# rest of the debug info.  We don't need them, so let's just blow them away.
	rm -rf ${IMAGE_ROOTFS}/share/gdb/auto-load/lib
}

ROOTFS_POSTPROCESS_COMMAND += "remove_glib_debug;"

IMAGE_CMD_ubi_bcm97445 () {
	echo \[writable\] > ubinize.cfg
	echo mode=ubi >> ubinize.cfg
	echo vol_id=0 >> ubinize.cfg
	echo vol_size=1MiB >> ubinize.cfg
	echo vol_type=dynamic >> ubinize.cfg
	echo vol_name=writable >>ubinize.cfg
	echo >> ubinize.cfg
	echo \[rootfs\] >> ubinize.cfg 
	echo mode=ubi >> ubinize.cfg
	echo image=${DEPLOY_DIR_IMAGE}/${IMAGE_NAME}.rootfs.ubifs >> ubinize.cfg 
	echo vol_id=1 >> ubinize.cfg 
	echo vol_type=dynamic >> ubinize.cfg 
	echo vol_name=${UBI_VOLNAME} >> ubinize.cfg 
	echo vol_size=150MiB >> ubinize.cfg
	mkfs.ubifs -r ${IMAGE_ROOTFS} -o ${DEPLOY_DIR_IMAGE}/${IMAGE_NAME}.rootfs.ubifs ${MKUBIFS_ARGS} && ubinize -o ${DEPLOY_DIR_IMAGE}/${IMAGE_NAME}.rootfs.ubi ${UBINIZE_ARGS} ubinize.cfg
}

# Make sure the AC3 or E-AC3 decoders are not in the rootfs unless we're an NFS build.
do_verify_ac3_not_present() {
    if [ -z "${IMAGE_FSTYPES}" ]; then
        echo "NFS root"
        exit 0
    fi

    ok=1
    if [ -e ${IMAGE_ROOTFS}/lib/ddp-dec-firmware/* ]; then
        echo "EAC3 appears to be present" 1>&2
        ok=0
    fi
    if [ -e ${IMAGE_ROOTFS}/lib/ac3-dec-firmware/* ]; then
        echo "AC3 appears to be present" 1>&2
        ok=0
    fi

    if [ "$ok" != "1" ]; then
        false
    fi
}

addtask verify_ac3_not_present after do_rootfs before do_build
