# This recipe hijacks oe-core's SDK-generation mechanism to build a
# BrightSign-specific SDK.
#
# Unfortunately it needs to be built and therefore installed
# separately for ARM and MIPS.

inherit gitver

GITVER_S = "${TOPDIR}"
PV = "${BS_GITVER}"

TOOLCHAIN_HOST_TASK = "\
    packagegroup-cross-canadian-${MACHINE} \
    nativesdk-python-modules \
"

TOOLCHAIN_TARGET_TASK += "\
    libstdc++ \
    openssl \
    python \
    python-cython \
    libusb-1.0-0 \
    udev \
"

# For reasons that I don't understand, if we change this from its
# default of "oecore" then loads of files are missing from the
# tarball. The odd part is that they are listed in the manifest. I
# suspect an opkg race somewhere so perhaps we should try again after
# switching to rpm.
# SDK_NAME_PREFIX = "brightsign_sdk"
SDK_VERSION = "${PV}"

SUMMARY = "BrightSign extensions SDK"
LICENSE = "CLOSED"

PR = "r1"

LIC_FILES_CHKSUM = "file://${COREBASE}/LICENSE;md5=4d92cd373abda3937c2bc47fbc49d690 \
                    file://${COREBASE}/meta/COPYING.MIT;md5=3da9cfbcb788c80a0384361b4de20420"

inherit populate_sdk
