DESCRIPTION = "Common CA certificates"
HOMEPAGE = "http://packages.debian.org/stretch/all/ca-certificates"
SECTION = "misc"
LICENSE = "GPLv2+"
LIC_FILES_CHKSUM = "file://usr/share/doc/ca-certificates/copyright;md5=e7358b9541ccf3029e9705ed8de57968"

SRC_URI = "${DEBIAN_MIRROR}/main/c/ca-certificates/ca-certificates_${PV}_all.deb"

SRC_URI[md5sum] = "3eed7f5c0075abe44f932df597312af0"
SRC_URI[sha256sum] = "25d6f749c4fb33ae0d7999c2c7c52b842a8b6e5487f3a5c1e61b3c21f90ac452"

PR = "r1"

inherit allarch

# This ensures that the directory exists and sets the current
# directory for do_unpack.
do_unpack[dirs] = "${S}"

# The default bitbake unpacking of .deb assumes .gz compression, which is no longer used.
do_unpack() {
    ar -p ${DL_DIR}/ca-certificates_${PV}_all.deb data.tar.xz | xzcat | tar --no-same-owner -xpf -
}

do_install() {
    CERTDIR="${D}/${sysconfdir}/ssl/certs"
    CERTFILE="${CERTDIR}/ca-certificates.crt"
    mkdir -p ${CERTDIR}
    if [ -f ${CERTFILE} ]; then
        rm ${CERTFILE}
    fi

    cd ${S}
    for crt in $(find usr/share/ca-certificates -type f -name '*.crt' -print)
    do
        cat ${crt} >> ${CERTFILE}
    done
}

FILES_${PN} = "${sysconfdir}/ssl/certs/ca-certificates.crt"
