DESCRIPTION = "C++ bindings for dbus"
LICENSE = "LGPLv2.1+"
SECTION = "libs"

LIC_FILES_CHKSUM = "file://COPYING;md5=fbc093901857fcd118f065f900982c24"

inherit autotools pkgconfig lib_package

BBCLASSEXTEND = "native"

# This is a hack.  The code in libdbus-c++/tools uses ${CXX_FOR_BUILD} if it's
# set, in the (correct) expectation that this will be the compiler for the build
# host.  However, if we let it do that then it will blow up because it needs to
# be able to find a copy of libdbus-c++ that was linked against the build host.
# 
# But, if we set this to the same as ${CXX} then it will build the stuff in tools/ for
# the target instead.  This is useless but benign, since we can get the appropriate
# binaries to run on the build host from dbus-c++-native.
CXX_FOR_BUILD = "${CXX}"

EXTRA_OECONF = "--disable-ecore --disable-tests --disable-glib --disable-doxygen-docs"

# The system compiler on Debian 8 defaults to C++98 and we use
# std::function inside dbus-c++. The cross compiler defaults to C++14
# which is what we use for everything else. The Debian 9 system
# compiler also defaults to C++14, so we can remove this once everyone
# has upgraded.
BUILD_CXXFLAGS_class-native += "-std=gnu++11"

DEPENDS = "dbus expat dbus-c++-native"

do_compile_prepend_class-target() {
    # In order to make the hack above work we must rewrite the
    # Makefiles to just call dbusxx-xml2cpp on the path for
    # non-native builds.
    find ${S} -name "Makefile.am" | xargs sed -i -e 's,$(top_builddir)/tools/dbusxx-xml2cpp,dbusxx-xml2cpp,'
}
