SUMMARY = "The DejaVu fonts - TTF Edition"
LICENSE = "BitstreamVera"
LIC_FILES_CHKSUM = "file://LICENSE;md5=9f867da7a73fad2715291348e80d0763"
SRC_URI = "${SOURCEFORGE_MIRROR}/projects/dejavu/files/dejavu/${PV}/dejavu-fonts-ttf-${PV}.tar.bz2"

inherit allarch

DEJAVU_INSTALL_FONTS = "\
    DejaVuSansMono.ttf \
    DejaVuSans.ttf \
    DejaVuSerif.ttf \
    DejaVuSerif-Italic.ttf \
    DejaVuSerif-Bold.ttf \
    DejaVuSerif-BoldItalic.ttf \
    DejaVuSerifCondensed.ttf \
    DejaVuSerifCondensed-Bold.ttf \
    DejaVuSerifCondensed-Italic.ttf \
    DejaVuSerifCondensed-BoldItalic.ttf \
    DejaVuSans-ExtraLight.ttf \
    DejaVuSans-Bold.ttf \
    DejaVuSans-Oblique.ttf \
    DejaVuSans-BoldOblique.ttf \
    DejaVuSansCondensed.ttf \
    DejaVuSansCondensed-Bold.ttf \
    DejaVuSansCondensed-Oblique.ttf \
    DejaVuSansCondensed-BoldOblique.ttf \
    DejaVuSansMono-Bold.ttf \
    DejaVuSansMono-Oblique.ttf \
    DejaVuSansMono-BoldOblique.ttf \
    "

do_install () { 
    install -d ${D}${prefix}/share/fonts/ttf/ 
    for i in ${DEJAVU_INSTALL_FONTS}; do 
        install -m 644 ttf/$i ${D}${datadir}/fonts/ttf/${i} 
    done
        
    install -d ${D}${BS_SYS_DRIVE}
    for i in ${DEJAVU_INSTALL_FONTS}; do
        ln -sf ../../..${datadir}/fonts/ttf/${i} ${D}${BS_SYS_DRIVE}/${i}
    done
    
    ln -sf DejaVuSansMono.ttf ${D}${BS_SYS_DRIVE}/default-fixed-font.ttf
    ln -sf DejaVuSans.ttf ${D}${BS_SYS_DRIVE}/default-font.ttf
} 


FILES_${PN} = "${datadir}/fonts ${BS_SYS_DRIVE}"

SRC_URI[md5sum] = "8b601e91725b6d69141b0fcf527948c0"
SRC_URI[sha256sum] = "82a5823a270715913af51915cc20594568f57afb7450abb989695d8808a4194d"
