inherit nfsquick

# Force update to newer version until oe-core catches up

PV="2017.75"
# This patch is not needed for the newer version
SRC_URI_remove = "file://support-out-of-tree-builds.patch"
SRC_URI[md5sum] = "e57e9b9d25705dcb073ba15c416424fd"
SRC_URI[sha256sum] = "6cbc1dcb1c9709d226dff669e5604172a18cf5dbf9a201474d5618ae4465098c"

PR .= ".bs1"

BRIGHTSIGN_APPEND_DIR := "${@os.path.dirname(d.getVar('FILE', True))}"
FILESPATH =. "${@base_set_filespath(["${BRIGHTSIGN_APPEND_DIR}/${PN}-${PV}", "${BRIGHTSIGN_APPEND_DIR}/files"], d)}:"

EXTRA_OECONF_append="\
    --disable-lastlog \
    --disable-utmp --disable-utmpx \
    --disable-wtmp --disable-wtmpx \
    --disable-syslog \
    "

SRC_URI += "file://default-dropbear \
	    file://fix-dbclient-path.patch"

# We need dropbear to start after the registry. We might as well start
# it at about the same time as telnet.
INITSCRIPT_PARAMS = "defaults 72"

do_install_append() {
    install -D -m 0644 ${WORKDIR}/default-dropbear  ${D}${sysconfdir}/default/dropbear
}

