SUMMARY = "GStreamermm"
DESCRIPTION = "GStreamermm C++ bindings for Gstreamer1.0"
HOMEPAGE = "https://developer.gnome.org/gstreamermm/"
BUGTRACKER = "https://bugzilla.gnome.org/enter_bug.cgi?product=Gstreamermm"
SECTION = "multimedia"
LICENSE = "LGPLv2.1"
DEPENDS = "gstreamer1.0 glibmm gstreamer1.0-plugins-base gstreamer1.0-plugins-good gstreamer1.0-plugins-bad"

inherit autotools pkgconfig

EXTRA_OECONF = " --disable-documentation "

FILES_${PN} += " ${libdir}/gstreamermm-1.0/*.so"
FILES_${PN}-dev += " ${libdir}/gstreamermm-1.0/*.la ${libdir}/gstreamermm-1.0/*.a ${libdir}/gstreamermm-1.0/include ${libdir}/gstreamermm-1.0/gen"
FILES_${PN}-dbg += " ${libdir}/gstreamermm-1.0/.debug/ ${libexecdir}/gstreamermm-1.0/.debug/ ${libdir}/gstreamermm-1.0/gen/.debug/"

LIC_FILES_CHKSUM = "file://COPYING;md5=d8045f3b8f929c1cb29a1e3fd737b499 \
                    file://gstreamer/gstreamermm.h;beginline=1;endline=21;md5=bcd33861620b5b6caecd6bb7a4edb927"

SRC_URI = " \
    ftp://ftp.gnome.org/pub/gnome/sources/gstreamermm/1.8/gstreamermm-${PV}.tar.xz \
    file://gstreamermm-plugins-bad-configure-hack.patch \
    file://gstreamermm-audio-clock.patch \
    "
    
SRC_URI[md5sum] = "31246cf2f37b7ff48d45c8be98425e93"
SRC_URI[sha256sum] = "3ee3c1457ea2c32c1e17b784faa828f414ba27a9731532bf26d137a2ad999a44"
S = "${WORKDIR}/gstreamermm-${PV}"
