# This recipe probably doesn't contain enough stuff to actually use it
# on a real device but it is sufficient for testing.

HOMEPAGE = "http://hostap.epitest.fi"
SECTION = "kernel/userland"
PRIORITY = "optional"
LICENSE = "GPLv2 | BSD"
LIC_FILES_CHKSUM = "file://README;md5=00ca86bea3d1f904366f1b0b68edd14e"
DEPENDS = "libnl openssl"
DESCRIPTION = "User space daemon for extended IEEE 802.11 management"
PV = "2.0"
PR = "r0"

SRC_URI = " \
  http://hostap.epitest.fi/releases/hostapd-${PV}.tar.gz \
  file://defconfig \
"

S = "${WORKDIR}/hostapd-${PV}/hostapd"

# If bitbake determines that our flags have changed then it will
# re-run configure. We need to make clean here to ensure that those
# changes cause anything that might be affected by them to be rebuilt.
do_configure() {
        make V=1 ${PARALLEL_MAKE} clean
	install -m 0644 ${WORKDIR}/defconfig ${S}/.config
}

do_compile() {
	make V=1 ${PARALLEL_MAKE} CC="${CC}" LDFLAGS="${LDFLAGS}" BINDIR="${sbindir}" LIBDIR="${libdir}"
}

do_install() {
	install -d ${D}${sbindir} ${D}${sysconfdir}
	install -m 0644 ${S}/hostapd.conf ${D}${sysconfdir}
	install -m 0755 ${S}/hostapd ${D}${sbindir}
	install -m 0755 ${S}/hostapd_cli ${D}${sbindir}
}

CONFFILES_${PN} += "${sysconfdir}/hostapd.conf"

SRC_URI[md5sum] = "ba22e639bc57aa4035d2ea8ffa9bbbee"
SRC_URI[sha256sum] = "262ce394b930bccc3d65fb99ee380f28d36444978f524c845a98e8e29f4e9d35"
