DESCRIPTION = "GNU libmicrohttpd is a small C library that is supposed to make it easy to run an HTTP server as part of another application."
HOMEPAGE = "http://www.gnu.org/s/libmicrohttpd"
SECTION = "libs"
SRC_URI = "ftp://ftp.heanet.ie/mirrors/gnu/libmicrohttpd/libmicrohttpd-${PV}.tar.gz \
           file://libmicrohttpd-${PV}-join-timeout.patch \
"
SRC_URI[md5sum] = "9ed8171c7ee8cedce86959635c1db3ae"
SRC_URI[sha256sum] = "bcc721895d4a114b0548a39d2241c35caacb9e2e072d40e11b55c60e3d5ddcbe"

# It's actually dual licensed but let's use it under LGPLv2.1
LICENSE = "LGPLv2.1"
S = "${WORKDIR}/libmicrohttpd-${PV}"
PR = "r1"

LIC_FILES_CHKSUM = "file://COPYING;md5=9331186f4f80db7da0e724bdd6554ee5"

inherit autotools gettext pkgconfig

do_configure_prepend() {
    # libmicrohttpd's copy of libgcrypt.m4 attempts to use
    # libgcrypt-config which oe-core's libgcrypt does not provide.
    # Let's force it to use the pkg-config-compatible oe-core version
    # instead.
    rm -f ${S}/m4/libgcrypt.m4
}

DEPENDS = "gnutls libgcrypt"

# libcurl is only required for testing. Since we don't depend on it
# we'd better disable its use otherwise we'll get random build
# failures if bitbake decides to build it in parallel.
#
# Building the examples and the docs is mostly a waste of time and we
# don't DEPEND on the things the examples require such as libmagic.
EXTRA_OECONF = "\
    --enable-shared=yes \
    --enable-static=no \
    --enable-https \
    --enable-messages \
    --disable-curl \
    --with-gnutls \
    --disable-examples \
    --disable-doc \
    "
