#!/bin/sh

BS_LTTNG_TRACEFILE_SIZE=${BS_LTTNG_TRACEFILE_SIZE:-128k}
BS_LTTNG_TRACEFILE_COUNT=${BS_LTTNG_TRACEFILE_COUNT:-2}
BS_LTTNG_SUBBUF_SIZE=${BS_LTTNG_SUBBUF_SIZE:-128k}
BS_LTTNG_NUM_SUBBUF=${BS_LTTNG_NUM_SUBBUF:-2}

case "$1" in
    start)
        mkdir -p "${LTTNG_HOME}"
        lttng create bs
        lttng enable-channel \
            -u channel0 \
            --overwrite \
            --subbuf-size ${BS_LTTNG_SUBBUF_SIZE} \
            --num-subbuf ${BS_LTTNG_NUM_SUBBUF} \
            --tracefile-size ${BS_LTTNG_TRACEFILE_SIZE} \
            --tracefile-count ${BS_LTTNG_TRACEFILE_COUNT}

        # Circular buffer for high-frequency events e.g. v-sync GL jobs
        lttng enable-channel \
            --overwrite \
            -u channel_high_freq \
            --subbuf-size 128k \
            --num-subbuf 2 \
            --tracefile-size 128k \
            --tracefile-count 2
        ;;
esac
