DESCRIPTION = "Various tools relating to the Simple Network Management Protocol"
HOMEPAGE = "http://www.net-snmp.org/"
LICENSE = "BSD"

#DEPENDS = "openssl"
#RDEPENDS_${PN}-server += "net-snmp-mibs"
RDEPENDS_${PN}-client += "net-snmp-mibs"
RDEPENDS_${PN}-dev = "net-snmp-client (= ${EXTENDPV}) net-snmp-server (= ${EXTENDPV})"
RRECOMMENDS_${PN}-dbg = "net-snmp-client (= ${EXTENDPV}) net-snmp-server (= ${EXTENDPV})"
INC_PR = "r0"

inherit autotools siteinfo

TARGET_CC_ARCH += "${LDFLAGS}"

EXTRA_OECONF = "--enable-shared --disable-manuals --with-defaults \
${@base_conditional('SITEINFO_ENDIANNESS', 'le', '--with-endianness=little', '--with-endianness=big', d)}"

do_install () {
	oe_runmake install
}

do_install_append() {
	install -d ${D}${sysconfdir}/snmp
	install -m 644 ${WORKDIR}/snmptrapd.conf ${D}${sysconfdir}/snmp/
	install -d ${STAGING_BINDIR}
	install -m 0755 ${D}${bindir}/net-snmp-config ${STAGING_BINDIR}/
	sed -e "s@-I/usr/include@@g" \
		-e "s@^prefix=.*@prefix=${STAGING_DIR_HOST}@g" \
		-e "s@^exec_prefix=.*@exec_prefix=${STAGING_DIR_HOST}@g" \
		-e "s@^includedir=.*@includedir=${STAGING_INCDIR}@g" \
		-e "s@^libdir=.*@libdir=${STAGING_LIBDIR}@g" \
		-i ${STAGING_BINDIR}/net-snmp-config
}

PACKAGES = "net-snmp-dbg net-snmp-doc net-snmp-dev net-snmp-static \
	    net-snmp-libnetsnmpagent net-snmp-libnetsnmphelpers net-snmp-libnetsnmpmibs \
	    net-snmp-libnetsnmp net-snmp-libnetsnmptrapd net-snmp-libsnmp \
            net-snmp-base-mibs net-snmp-mibs net-snmp-server net-snmp-client"

FILES_${PN}-static = "${libdir}/*.a"
FILES_${PN}-libnetsnmpagent = "${libdir}/libnetsnmpagent.so.*"
FILES_${PN}-libnetsnmphelpers = "${libdir}/libnetsnmphelpers.so.*"
FILES_${PN}-libnetsnmpmibs = "${libdir}/libnetsnmpmibs.so.*"
FILES_${PN}-libnetsnmp = "${libdir}/libnetsnmp.so.*"
FILES_${PN}-libnetsnmptrapd = "${libdir}/libnetsnmptrapd.so.*"
FILES_${PN}-libsnmp = "${libdir}/libsnmp.so.*"
FILES_${PN}-base-mibs = "${datadir}/snmp/mibs/SNMPv2-MIB.txt ${datadir}/snmp/mibs/SNMPv2-TC.txt ${datadir}/snmp/mibs/SNMPv2-SMI.txt"
FILES_${PN}-mibs = "${datadir}/snmp/mibs"
FILES_${PN}-server = "${sbindir}/* ${sysconfdir} ${localstatedir}"
FILES_${PN}-client = "${bindir}/* ${datadir}/snmp/"
FILES_${PN}-dbg += "${libdir}/.debug/ ${sbindir}/.debug/ ${bindir}/.debug/"
FILES_${PN}-dev += "${bindir}/net-snmp-config ${bindir}/mib2c ${bindir}/mib2c-update"

CONFFILES_${PN}-server = "${sysconfdir}/snmp/snmpd.conf \
                          ${sysconfdir}/snmp/snmptrapd.conf"

pkg_postrm_net-snmp-server() {
	if test "x$D" != "x"; then
		OPT="-r $D "
	else
		OPT=""
		/etc/init.d/snmpd stop
	fi
}
