DESCRIPTION = "POSIX file system test suite from Tuxera"
LICENSE = "FreeBSD"
LIC_FILES_CHKSUM = "file://LICENSE;md5=9cf39e165f42c311cd993cf35ce23d5b \
		    file://README;md5=f8cfcaa56b2ecd35e193e044bfe2a375"

inherit nfsquick

S = "${WORKDIR}/clone"

do_patch() {
	# Don't let do_patch get confused by the fact that SRC_URI doesn't contain URLs.
	:
}

do_unpack() {
        mkdir -p ${S}
        cp -rf ${FILE_DIRNAME}/files/* ${S}
}

do_compile() {
	# Build the fstest application	
	${CC} -Wall -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -I . -g -c -o fstest.o fstest.c 
	${CCLD} fstest.o -o fstest
}

do_install() {
	install -D fstest ${D}/bin/fstest
	install -d ${D}/opt/roku
	cp -rf tests ${D}/opt/roku/
	cp -f ${S}/*.sh ${D}/opt/roku/
}
