LICENSE = "BSD"

inherit nfsquick

# The Realtek M.2 modules on Pantera and Dart need additional
# firmware blobs (for Bluetooth, and also for WiFi on Pantera)

# Upstream: https://git.kernel.org/cgit/linux/kernel/git/firmware/linux-firmware.git/tree/rtl_bt
# RTL8812: https://github.com/lwfinger/rtlwifi_new/tree/master/firmware/rtlwifi
# Also rtl8821a_fw provided by Realtek with Linux_BT_USB_v3.10_20161003_8821AE_BTCOEX_20150921-6158
# and rtl8761a_config and rtl8761a_fw from Linux_BT_USB_v3.10_20160713_8812AE_8761AU_BTCOEX_20150615-4139

SRC_URI = "\
    file://LICENCE.rtlwifi_firmware.txt \
    file://rtl8761a_fw.bin \
    file://rtl8821a_fw.bin \
    file://rtl8812aefw.bin \
    file://rtl8812aefw_wowlan.bin \
    file://rtl8821a_fw \
    file://rtl8761a_config \
    file://rtl8761a_fw \
    "

LIC_FILES_CHKSUM = "file://../LICENCE.rtlwifi_firmware.txt;md5=00d06cfd3eddd5a2698948ead2ad54a5"

PV = "1"
PR = "r2"

FILES_${PN} += "/lib/firmware"

do_install() {
    install -d ${D}/lib/firmware/rtl_bt
    install -m0644 ${WORKDIR}/rtl8761a_fw.bin ${D}/lib/firmware/rtl_bt/rtl8761a_fw.bin
    install -m0644 ${WORKDIR}/rtl8821a_fw.bin ${D}/lib/firmware/rtl_bt/rtl8821a_fw.bin
    install -d ${D}/lib/firmware/rtlwifi
    install -m0644 ${WORKDIR}/rtl8812aefw.bin ${D}/lib/firmware/rtlwifi/rtl8812aefw.bin
    install -m0644 ${WORKDIR}/rtl8812aefw_wowlan.bin ${D}/lib/firmware/rtlwifi/rtl8812aefw_wowlan.bin
    # This one lives in the top level
    install -m0644 ${WORKDIR}/rtl8821a_fw ${D}/lib/firmware/rtl8821a_fw
    # Alternative firmware from Realtek - NOTE firmware file needs to end "au"
    install -m0644 ${WORKDIR}/rtl8761a_config ${D}/lib/firmware/rtl8761a_config
    install -m0644 ${WORKDIR}/rtl8761a_fw ${D}/lib/firmware/rtl8761au_fw
    install -m0644 ${WORKDIR}/rtl8821a_fw ${D}/lib/firmware/rtl_bt/rtl8821a_fw
}
