DESCRIPTION = "A mode switching tool for controlling 'flip flop' (multiple device) USB gear"
LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=94d55d512a9ba36caa9b7df079bae19f"

DEPENDS = "virtual/libusb0"

inherit pkgconfig

SRC_URI = "\
    http://www.draisberghof.de/usb_modeswitch/usb-modeswitch-${PV}.tar.bz2 \
    file://fix-double-free-descriptor.patch \
    "
SRC_URI[md5sum] = "46cd7fa937655ab2df616c1d5dfb121e"
SRC_URI[sha256sum] = "37d926a0b6b6d490173c57e260a69aca49feb774875fc8f2001c1d0f5e8011cb"


PR = "r1"

do_install() {
    sed 's_!/usr/bin_!'"${bindir}"'_' <usb_modeswitch.tcl >usb_modeswitch_dispatcher
    oe_runmake install DESTDIR=${D} PREFIX=${D}
    rm -rf ${D}share/man
    rm -f ${D}${sbindir}/usb_modeswitch_dispatcher ${D}/lib/udev/usb_modeswitch
    rmdir ${D}/lib/udev ${D}/lib
}

FILES_${PN} = "${bindir} ${sysconfdir} ${base_libdir}/udev/usb_modeswitch ${sbindir} ${localstatedir}/lib/usb_modeswitch"
